#
# spec file for package nautilus-share (Version 0.6.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           nautilus-share
BuildRequires:  eel-devel gnome-patch-translation gnutls-devel intltool libgnomeprintui-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser update-desktop-files
Version:        0.6.4
Release:        31.18.26
Url:            http://gentoo.ovibes.net/nautilus-share/
Group:          Productivity/Networking/Samba
License:        GPL v2 or later
Summary:        A Quick and Easy Way to Share Folders in Nautilus via Samba
Source:         %{name}-%{version}.tar.bz2
Source1:        nautilus-share-po.tar.bz2
Patch:          %{name}-include.patch
Patch1:         nautilus-share-net-usershare.diff
Patch2:         nautilus-share-potfiles.patch
Patch3:         nautilus-share-170212-restore-modified-permissions.diff
Patch4:         nautilus-share-181811-guest-permissions.diff
Patch5:         nautilus-share-183413-restore-write-permissions.diff
Patch6:         nautilus-share-new-potfiles.patch
Patch7:         bnc_370431.patch
Requires:       gnome-icon-theme samba >= 3.0.21a-4.2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Application for GNOME desktop integrated in Nautilus that allows simple
use of Nautilus shares without the need to be root.

Features: * A new entry in your nautilus right-click menu with a
   nice icon.

* A simple dialog to share your folder, allows you to choose a name
   and decide to make it read-only or not.

* You can also access it from the properties tab of your folder.

* You can see as you type if the share name is already used or not.

* When you share a folder, Nautilus displays a nice palm to visually
show you which folders are shared.



Authors:
--------
    Sebastien Estienne <sebastien.estienne@gmail.com>
    Ed Catmur <ed@catmur.co.uk>
    VoJcEK <vojcek@tlen.pl>
    Michael Kanis <mkanis@gmx.de>
    WareKala <warekala@hotmail.com>
    Mirko Maischberger <mirko@lilik.it>
    Aaron Kurtz <a.kurtz@hardsun.net>
    Lucius Curado <luciux@gmail.com>

%prep
%setup -a 1 
%patch2
gnome-patch-translation-prepare
%patch
%patch1 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch7 -p1 
# NOTE: You can ignore  iter.* uninitialized warnings in nautilus-share.c:
# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=22197
gnome-patch-translation-update

%build
export CFLAGS="$RPM_OPT_FLAGS"
autoreconf -f -i
./configure\
	--disable-schemas-install\
	--prefix=/opt/gnome\
	--sysconfdir=/etc\
	--libdir=/opt/gnome/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
rm $RPM_BUILD_ROOT/opt/gnome/%{_lib}/nautilus/extensions-1.0/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS BUGS COPYING INSTALL INTERNAL README TODO
/opt/gnome/%{_lib}/nautilus/extensions-1.0/*.so
/opt/gnome/share/nautilus-share

%changelog
* Tue Oct 28 2008 mauro@suse.de
- Add bnc_370431.patch to fix bnc#370431 - Fixed translations
* Fri Apr 18 2008 mauro@suse.de
- Updated translations.
* Wed Apr 16 2008 mauro@suse.de
- Updated translations to fix bnc#368063.
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Fri Feb 22 2008 mauro@suse.de
- Updated translation
* Mon Jun 26 2006 sbrabec@suse.cz
- Added missing file to POTFILES.in (#183392).
* Thu Jun 15 2006 federico@novell.com
- Added nautilus-share-183413-restore-write-permissions.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=183413.  This makes
  nautilus-share remove the write permissions from a usershared folder
  as soon as possible, when the share is modified to be read-only.
* Fri Jun  9 2006 federico@novell.com
- Added nautilus-share-181811-guest-permissions.diff to fix bug
  https://bugzilla.novell.com/show_bug.cgi?id=181811.  This will add
  the "guest_ok=y" option to the "net usershare" command line, as well
  as adding group permissions to the shared folder if appropriate.
* Wed May  3 2006 federico@novell.com
- Added nautilus-share-170212-restore-modified-permissions.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=170212.  We now restore
  the permissions of a folder when unsharing it.
* Wed Feb 22 2006 federico@novell.com
- Updated nautilus-share-net-usershare.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=152552.  Now we don't
  change the folder's permissions unconditionally; instead, we ask the
  user first.
- Do not install all the obsolete d-bus and smbshared parts; nautilus-share
  now requires just the .so extension and its data files.
* Tue Feb 21 2006 sbrabec@suse.cz
- Do not restart dbus on update (#152554).
* Mon Feb 20 2006 federico@novell.com
- Updated nautilus-share-net-usershare.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=149615; nautilus-share
  will now automatically change the permissions of the shared folder
  if they are not enough for sharing.
* Mon Feb  6 2006 federico@novell.com
- Updated nautilus-share-net-usershare.diff to fix the crash in
  https://bugzilla.novell.com/show_bug.cgi?id=147065.
* Wed Feb  1 2006 sbrabec@suse.cz
- Fixed POTFILES.
- Use translation compendium gnome-patch-translation.
* Fri Jan 27 2006 federico@novell.com
- Fix error reporting so that if Samba's "net usershare" is misconfigured,
  nautilus-share will be able to tell you about it.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 federico@novell.com
- Added nautilus-share-net-usershare.diff.  This makes nautilus-share
  use the new "net usershare" command from Samba instead of a
  home-grown scheme for sharing a user's personal files.  This
  requires samba-3.0.21a-4.2 or later.
- Added a build dependency on intltool.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Fri Sep 23 2005 sbrabec@suse.cz
- New SuSE package, version 0.6.4.
